FT_EEPROM_232H

com.ftdi.j2xx

## Class FT_EEPROM_232H

- java.lang.Object
- - com.ftdi.j2xx.FT_EEPROM
  - - com.ftdi.j2xx.FT_EEPROM_232H

-     public class FT_EEPROM_232H
      extends FT_EEPROM

  EEPROM data structure on the 232H

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FT_EEPROM_232H.CBUS` CBus Option on the FT232H
    `static class` | `FT_EEPROM_232H.DRIVE_STRENGTH` The driver strength on the 232H

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `AL_DriveCurrent` Drive Option - AL pins drive current.
    `boolean` | `AL_SchmittInput` Drive Option - AL pins have Schmitt input.
    `boolean` | `AL_SlowSlew` Drive Option - AL pins have slow slew.
    `byte` | `BL_DriveCurrent` Drive Option - BL pins drive current.
    `boolean` | `BL_SchmittInput` Drive Option - BL pins have Schmitt input.
    `boolean` | `BL_SlowSlew` Drive Option - BL pins have slow slew.
    `byte` | `CBus0` Hardware Option - CBus0 Mux Control
    `byte` | `CBus1` Hardware Option - CBus1 Mux Control
    `byte` | `CBus2` Hardware Option - CBus2 Mux Control
    `byte` | `CBus3` Hardware Option - CBus3 Mux Control
    `byte` | `CBus4` Hardware Option - CBus4 Mux Control
    `byte` | `CBus5` Hardware Option - CBus5 Mux Control
    `byte` | `CBus6` Hardware Option - CBus6 Mux Control
    `byte` | `CBus7` Hardware Option - CBus7 Mux Control
    `byte` | `CBus8` Hardware Option - CBus8 Mux Control
    `byte` | `CBus9` Hardware Option - CBus9 Mux Control
    `boolean` | `FastSerial` Hardware Option - Fast Serial
    `boolean` | `FIFO` Hardware Option - 245 FIFO
    `boolean` | `FIFOTarget` Hardware Option - 245 FIFO CPU Target
    `boolean` | `FT1248` Hardware Option - FT1248
    `boolean` | `FT1248ClockPolarity` FT1248 Option - FT1248 clock polarity, true = clock idle high, false = clock idle low
    `boolean` | `FT1248FlowControl` FT1248 Option - FT1248 Flow Control
    `boolean` | `FT1248LSB` FT1248 Option - FT1248 LSB, true = LSB, false = MSB
    `boolean` | `LoadD2XX` Driver Option - Load D2XX
    `boolean` | `LoadVCP` Driver Option - Load Virtual Com Port
    `boolean` | `PowerSaveEnable` Hardware Option - Power Save Enable if using BCBus7 to save power for self-powered designs.
    `boolean` | `UART` Hardware Option - UART

    - ### Fields inherited from class com.ftdi.j2xx.FT_EEPROM

      `DeviceType, Manufacturer, MaxPower, Product, ProductId, PullDownEnable, RemoteWakeup, SelfPowered, SerialNumber, SerNumEnable, VendorId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_EEPROM_232H()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AL_SlowSlew

          public boolean AL_SlowSlew

      Drive Option - AL pins have slow slew.

    - #### AL_SchmittInput

          public boolean AL_SchmittInput

      Drive Option - AL pins have Schmitt input.

    - #### AL_DriveCurrent

          public byte AL_DriveCurrent

      Drive Option - AL pins drive current.

    - #### BL_SlowSlew

          public boolean BL_SlowSlew

      Drive Option - BL pins have slow slew.

    - #### BL_SchmittInput

          public boolean BL_SchmittInput

      Drive Option - BL pins have Schmitt input.

    - #### BL_DriveCurrent

          public byte BL_DriveCurrent

      Drive Option - BL pins drive current.

    - #### CBus0

          public byte CBus0

      Hardware Option - CBus0 Mux Control

    - #### CBus1

          public byte CBus1

      Hardware Option - CBus1 Mux Control

    - #### CBus2

          public byte CBus2

      Hardware Option - CBus2 Mux Control

    - #### CBus3

          public byte CBus3

      Hardware Option - CBus3 Mux Control

    - #### CBus4

          public byte CBus4

      Hardware Option - CBus4 Mux Control

    - #### CBus5

          public byte CBus5

      Hardware Option - CBus5 Mux Control

    - #### CBus6

          public byte CBus6

      Hardware Option - CBus6 Mux Control

    - #### CBus7

          public byte CBus7

      Hardware Option - CBus7 Mux Control

    - #### CBus8

          public byte CBus8

      Hardware Option - CBus8 Mux Control

    - #### CBus9

          public byte CBus9

      Hardware Option - CBus9 Mux Control

    - #### UART

          public boolean UART

      Hardware Option - UART

    - #### FIFO

          public boolean FIFO

      Hardware Option - 245 FIFO

    - #### FIFOTarget

          public boolean FIFOTarget

      Hardware Option - 245 FIFO CPU Target

    - #### FastSerial

          public boolean FastSerial

      Hardware Option - Fast Serial

    - #### FT1248

          public boolean FT1248

      Hardware Option - FT1248

    - #### FT1248ClockPolarity

          public boolean FT1248ClockPolarity

      FT1248 Option - FT1248 clock polarity, true = clock idle high, false = clock idle low

    - #### FT1248LSB

          public boolean FT1248LSB

      FT1248 Option - FT1248 LSB, true = LSB, false = MSB

    - #### FT1248FlowControl

          public boolean FT1248FlowControl

      FT1248 Option - FT1248 Flow Control

    - #### PowerSaveEnable

          public boolean PowerSaveEnable

      Hardware Option - Power Save Enable if using BCBus7 to save power for self-powered designs.

    - #### LoadVCP

          public boolean LoadVCP

      Driver Option - Load Virtual Com Port

    - #### LoadD2XX

          public boolean LoadD2XX

      Driver Option - Load D2XX

  - ### Constructor Detail

    - #### FT_EEPROM_232H

          public FT_EEPROM_232H()

About FTDI | FTDI Licence Terms